__author__ = "Lukas Leufen"
__date__ = '2019-11-14'

import argparse

from mlair.workflows import DefaultWorkflow
from mlair.data_handler.data_handler_kz_filter import DataHandlerKzFilter


def main(parser_args):
    args = dict(sampling="hourly",
                window_history_size=24, **parser_args.__dict__,
                data_handler=DataHandlerKzFilter,
                kz_filter_length=[365 * 24, 20 * 24],  # 13,5# , 4 * 24, 12, 6],
                kz_filter_iter=[3, 5],  # 3,4# , 3, 4, 4],
                start="2006-01-01",
                train_start="2006-01-01",
                end="2011-12-31",
                test_end="2011-12-31",
                stations=["DEBW107", "DEBW013"]
                )
    workflow = DefaultWorkflow(**args)
    workflow.run()


if __name__ == "__main__":
    parser = argparse.ArgumentParser()
    parser.add_argument('--experiment_date', metavar='--exp_date', type=str, default=None,
                        help="set experiment date as string")
    args = parser.parse_args(["--experiment_date", "testrun"])
    main(args)
